<?php

namespace WPRuby_CAA\Core\App\Backend\Endpoints;


use WPRuby_CAA\Core\Constants;
use WPRuby_CAA\Core\Dto\User;
use WPRuby_CAA\Core\Helpers\Random_String_Generator;

class Get_No_Password_Login_Uri_Endpoint extends Abstract_Endpoint {

	public function callback( $data )
	{
		$user_id = intval($data['user_id']);

		$token = get_user_meta($user_id, Constants::USER_TOKEN, true);

		if (!$token) {
			$token = (new Random_String_Generator())->generate(42);
			update_user_meta($user_id, Constants::USER_TOKEN, $token);
			$user = new User($user_id);
			$user->setIsCaaAccount(true);
		}



		$this->output(['login_uri' => sprintf('%s?caa_token=%s', admin_url(), $token)]);

	}

	public function action()
	{
		return 'caa_get_no_password_login_link_uri';
	}
}
